×

Discussion Board

Results 1 to 2 of 2
  1. #1
    Registered User
    Join Date
    Oct 2011
    Posts
    8

    Question Error while creating package

    can you help me with this error?
    I can't find any answer in google..

    Code:
    :-1: error: Packaging Error: Command 'c:/qtsdk/madde/bin/mad dpkg-buildpackage -nc -uc -us' failed.Exit code: 3

    here's the compile output

    Code:
    Package Creation: Running command 'c:/qtsdk/madde/bin/mad dpkg-buildpackage -nc -uc -us'.
    dpkg-buildpackage: set CFLAGS to default value: -g -O2
    dpkg-buildpackage: set CPPFLAGS to default value: 
    dpkg-buildpackage: set LDFLAGS to default value: 
    dpkg-buildpackage: set FFLAGS to default value: -g -O2
    dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
    which: pgp: unknown command
    dpkg-buildpackage: source package ethnica
    dpkg-buildpackage: source version 0.0.1
    dpkg-buildpackage: source changed by unknown <>
    dpkg-buildpackage: host architecture armel
    /sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/var/lib/dpkg/status: File or path name too long
    dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting.
    dpkg-buildpackage: warning: (Use -d flag to override.)
    Packaging Error: Command 'c:/qtsdk/madde/bin/mad dpkg-buildpackage -nc -uc -us' failed.Exit code: 3
    Error while building project ethnica (target: Harmattan)
    When executing build step 'Create Debian Package'
    Qt really make me sick..

  2. #2
    Super Contributor
    Join Date
    Mar 2009
    Posts
    1,024

    Re: Error while creating package

    Hi,
    It's not a Qt problem! Let's not blame it!
    So you are not able to build the package because you have something wrong with the dependencies;
    Look at this line:
    "dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting."
    It means dpkg tools are not able to find some libraries required to build your app, then it obviously fail!
    To fix this error, please check the debian/control file and check "Build-Depends" line.
    That line contains the libraries required by your app to build.
    Some of those libs are missing in your system that's why it fails.
    So:
    1. you install those libs
    2. you remove that dependency if you know it's not really necessary

Similar Threads

  1. Creating package
    By komomo in forum Mobile Java General
    Replies: 2
    Last Post: 2010-07-22, 13:38
  2. Creating package file
    By mary8 in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 1
    Last Post: 2010-05-19, 13:01
  3. Creating package file
    By hernih in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 3
    Last Post: 2010-01-22, 21:12
  4. Carbide Theme Edition 3.1.1 Error creating SIS, when Package Signing
    By sirdronic in forum Tools and SDK Feedback (Closed)
    Replies: 0
    Last Post: 2007-05-11, 15:09
  5. pbm while Creating package
    By mottaisami in forum Mobile Java General
    Replies: 3
    Last Post: 2005-09-30, 07:52

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×